<?php
/**
 *
 * Reduce Search Index [RSI]. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2020-forever, Dark❶, https://dark1.tech
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 *
 * Language : Spanish Casual [es_x_tu]
 * Translators : 
 * ThE KuKa - https://www.phpbb-es.com
 *
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, [
	// Common
	'ACP_RSI_SET'		=> 'Ajustes',
	'ACP_RSI_BY'		=> 'Por',
	'ACP_RSI_DAYS'		=> 'Día(s)',
	'ACP_RSI_FORMAT'	=> 'En formato',

	// Main
	'ACP_RSI_ENABLE'					=> 'Habilitar el reducir el índice de búsqueda',
	'ACP_RSI_ENABLE_EXPLAIN'			=> 'Habilita el reducir el índice de búsqueda.<br>Por defecto : No',
	'ACP_RSI_TIME'						=> 'Reducir el tiempo',
	'ACP_RSI_TIME_EXPLAIN'				=> 'El tiempo desde el que se mantiene el índice de búsqueda,<br>también el tiempo antes de que se elimine el índice de búsqueda.<br>Utiliza el selector de fecha y hora.<br>Por defecto : "1970-01-01 12:00:00 AM +00:00"',
	'ACP_RSI_INTERVAL'					=> 'Reducir intervalo',
	'ACP_RSI_INTERVAL_EXPLAIN'			=> 'Intervalo para actualizar “Reducir el tiempo” cuando se ejecuta “Reducir sincronización automática”.<br>Por defecto : 365 Día(s)',
	'ACP_RSI_IGN_COM_ENABLE'			=> 'Habilitar, Ignorar palabras comunes',
	'ACP_RSI_IGN_COM_ENABLE_EXPLAIN'	=> 'Habilita Ignorar palabras comunes.<br>Por defecto : No',
	'ACP_RSI_IGN_COM_WORDS'				=> 'Lista de ignorar palabras comunes',
	'ACP_RSI_IGN_COM_WORDS_EXPLAIN'		=> 'Introduce las palabras comunes que se ignorarán.<br>Cada palabra en nueva línea.',

	// Forum
	'ACP_RSI_FORUM_EXPLAIN'			=> 'Selecciona la opción para habilitar Reducir índice de búsqueda para cada foro.<br>Necesitas seleccionar al menos un foro.<br>Por defecto : <b>Deshabilitado</b><br>Opciones siguientes',
	'ACP_RSI_TABLE_FORUM_NAME'		=> 'Nombre del foro',
	'ACP_RSI_TABLE_FORUM_OPTION'	=> 'Opciones del foro',
	'ACP_RSI_TABLE_LOCK'			=> 'Tema + Cerrado',
	'ACP_RSI_TABLE_LOCK_EXPLAIN'	=> 'Índice de búsqueda del foro para el tema se elimina y cerrado según el “Reducir el tiempo”.',
	'ACP_RSI_TABLE_TOPIC'			=> 'Tema solo',
	'ACP_RSI_TABLE_TOPIC_EXPLAIN'	=> 'Índice de búsqueda del foro para el tema se elimina según el “Reducir el tiempo”.',
	'ACP_RSI_TABLE_POST'			=> 'Mensaje solo',
	'ACP_RSI_TABLE_POST_EXPLAIN'	=> 'Índice de búsqueda del foro para el mensaje se elimina según el “Reducir el tiempo”.',
	'ACP_RSI_TABLE_DISABLE'			=> 'Deshabilitar',

	// Cron
	'ACP_RSI_CRON_ENABLE'		=> 'Habilitar sincronización de reducción automática',
	'ACP_RSI_CRON_INTERVAL'		=> 'Intervalo de sincronización de reducción automática',
	'ACP_RSI_CRON_LAST_RUN'		=> 'Reducir automáticamente la última ejecución de sincronización',
	'ACP_RSI_CRON_NEXT_RUN'		=> 'Reducir automáticamente la sincronización siguiente ejecución',
	'ACP_RSI_CRON_RUN'			=> 'Ejecutar sincronización de reducción automática',
	'ACP_RSI_CRON_RUN_NOW'		=> 'Ejecutar ahora',
]);
